# Update member role (/docs/api-reference/organizations/OrganizationsController_updateMemberRole)

`PATCH /api/organizations/{orgId}/members/{memberId}`

Base URL: https://api.xentr.ai

Authentication: bearer token (`Authorization: Bearer <token>`).

## Parameters

| Name | In | Required | Type | Description |
| --- | --- | --- | --- | --- |
| `orgId` | path | yes | string | Organization ID |
| `memberId` | path | yes | string | Member ID |

## Request body

Required.

Content type: `application/json`

```json
{
  "type": "object",
  "properties": {
    "role": {
      "type": "string",
      "description": "Customer role; platform staff roles cannot be managed here",
      "enum": [
        "organization_admin",
        "production_engineer",
        "production_technician",
        "production_planner",
        "production_qa"
      ]
    }
  },
  "required": [
    "role"
  ]
}
```

## Responses

### 200: Member role updated

### 404: Member not found